using FairyGUI;

namespace ScrewsMaster
{
    public static class FGUIHelper
    {
        public static void AddFguiTimer(float interval, int repeat, TimerCallback callback, object callbackParam)
        {
            Timers.inst.Add(interval, repeat, callback, callbackParam);
        }

        public static string SetGLoaderUrl(GLoader gLoader, string pkgName, string resName)
        {
            var url = UIPackage.GetItemURL(pkgName, resName);
            if (url != null)
            {
                gLoader.url = url;
            }

            return url;
        }
    }
}